Subject: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: Noam Postavsky <[email-masked]>
Date: Mon, 02 Mar 2020 07:20:04 -0500

David Kastrup <[email-masked]> writes:

> Mount options?  Time stamp granularity?
>
> The file system I encountered this initially on is
>
> /dev/sda7 on /usr/local type ext4 (rw,noatime,discard,data=ordered)
>
> and my /tmp file system where I also saw this is
>
> /dev/sda5 on / type ext4 (rw,noatime,discard)

Aha, this seems to be the key.  I ran my initial experiment in ~/tmp,
which is mounted with relatime

    /dev/sda9 on /home type ext4 (rw,relatime,data=ordered)

When I do the same on /tmp, which is mounted noatime I see the extra
"<file> changed on disk; really edit the buffer?" question on C-x C-s.

    /dev/sda8 on /tmp type ext4 (rw,noatime,data=ordered)